For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • PUTPublish entity
      • GETGet entity
      • PUTOverride entity
      • DELDelete entity override
      • POSTPoll entity events
      • STREAMStream entity events
  • gRPC
ContactLearn More
RESTEntities

Poll entity events

POST
https://example.developer.anduril.com/api/v1/entities/events
POST
/api/v1/entities/events
$curl -X POST https://example.developer.anduril.com/api/v1/entities/events \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sessionToken": "string"
>}'
1{
2 "sessionToken": "string",
3 "entityEvents": [
4 {
5 "eventType": "EVENT_TYPE_INVALID",
6 "time": "2024-01-15T09:30:00Z",
7 "entity": {
8 "entityId": "string",
9 "description": "string",
10 "isLive": true,
11 "createdTime": "2024-01-15T09:30:00Z",
12 "expiryTime": "2024-01-15T09:30:00Z",
13 "noExpiry": true,
14 "status": {
15 "platformActivity": "string",
16 "role": "string"
17 },
18 "location": {
19 "position": {
20 "latitudeDegrees": 1.1,
21 "longitudeDegrees": 1.1,
22 "altitudeHaeMeters": 1.1,
23 "altitudeAglMeters": 1.1,
24 "altitudeAsfMeters": 1.1,
25 "pressureDepthMeters": 1.1
26 },
27 "velocityEnu": {
28 "e": 1.1,
29 "n": 1.1,
30 "u": 1.1
31 },
32 "speedMps": 1.1,
33 "acceleration": {
34 "e": 1.1,
35 "n": 1.1,
36 "u": 1.1
37 },
38 "attitudeEnu": {
39 "x": 1.1,
40 "y": 1.1,
41 "z": 1.1,
42 "w": 1.1
43 }
44 },
45 "locationUncertainty": {
46 "positionEnuCov": {
47 "mxx": 1.1,
48 "mxy": 1.1,
49 "mxz": 1.1,
50 "myy": 1.1,
51 "myz": 1.1,
52 "mzz": 1.1
53 },
54 "velocityEnuCov": {
55 "mxx": 1.1,
56 "mxy": 1.1,
57 "mxz": 1.1,
58 "myy": 1.1,
59 "myz": 1.1,
60 "mzz": 1.1
61 },
62 "positionErrorEllipse": {
63 "probability": 1.1,
64 "semiMajorAxisM": 1.1,
65 "semiMinorAxisM": 1.1,
66 "orientationD": 1.1
67 }
68 },
69 "geoShape": {
70 "point": {
71 "position": {
72 "latitudeDegrees": 1.1,
73 "longitudeDegrees": 1.1,
74 "altitudeHaeMeters": 1.1,
75 "altitudeAglMeters": 1.1,
76 "altitudeAsfMeters": 1.1,
77 "pressureDepthMeters": 1.1
78 }
79 },
80 "line": {
81 "positions": [
82 {
83 "latitudeDegrees": 1.1,
84 "longitudeDegrees": 1.1,
85 "altitudeHaeMeters": 1.1,
86 "altitudeAglMeters": 1.1,
87 "altitudeAsfMeters": 1.1,
88 "pressureDepthMeters": 1.1
89 }
90 ]
91 },
92 "polygon": {
93 "rings": [
94 {
95 "positions": [
96 {
97 "position": {
98 "latitudeDegrees": 1.1,
99 "longitudeDegrees": 1.1,
100 "altitudeHaeMeters": 1.1,
101 "altitudeAglMeters": 1.1,
102 "altitudeAsfMeters": 1.1,
103 "pressureDepthMeters": 1.1
104 },
105 "heightM": 1.1
106 }
107 ]
108 }
109 ],
110 "isRectangle": true
111 },
112 "ellipse": {
113 "semiMajorAxisM": 1.1,
114 "semiMinorAxisM": 1.1,
115 "orientationD": 1.1,
116 "heightM": 1.1
117 },
118 "ellipsoid": {
119 "forwardAxisM": 1.1,
120 "sideAxisM": 1.1,
121 "upAxisM": 1.1
122 }
123 },
124 "geoDetails": {
125 "type": "GEO_TYPE_INVALID",
126 "controlArea": {
127 "type": "CONTROL_AREA_TYPE_INVALID"
128 },
129 "acm": {
130 "acmType": "ACM_DETAIL_TYPE_INVALID",
131 "acmDescription": "string"
132 }
133 },
134 "aliases": {
135 "alternateIds": [
136 {
137 "id": "string",
138 "type": "ALT_ID_TYPE_INVALID"
139 }
140 ],
141 "name": "string"
142 },
143 "tracked": {
144 "trackQualityWrapper": 1,
145 "sensorHits": 1,
146 "numberOfObjects": {
147 "lowerBound": 1,
148 "upperBound": 1
149 },
150 "radarCrossSection": 1.1,
151 "lastMeasurementTime": "2024-01-15T09:30:00Z",
152 "lineOfBearing": {
153 "angleOfArrival": {
154 "relativePose": {
155 "pos": {
156 "lon": 1.1,
157 "lat": 1.1,
158 "alt": 1.1,
159 "is2d": true,
160 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
161 },
162 "attEnu": {
163 "x": 1.1,
164 "y": 1.1,
165 "z": 1.1,
166 "w": 1.1
167 }
168 },
169 "bearingElevationCovarianceRad2": {
170 "mxx": 1.1,
171 "mxy": 1.1,
172 "myy": 1.1
173 }
174 },
175 "rangeEstimateM": {
176 "value": 1.1,
177 "sigma": 1.1
178 },
179 "maxRangeM": {
180 "value": 1.1,
181 "sigma": 1.1
182 }
183 }
184 },
185 "correlation": {
186 "primary": {
187 "secondaryEntityIds": [
188 "string"
189 ]
190 },
191 "secondary": {
192 "primaryEntityId": "string",
193 "metadata": {
194 "provenance": {
195 "integrationName": "string",
196 "dataType": "string",
197 "sourceId": "string",
198 "sourceUpdateTime": "2024-01-15T09:30:00Z",
199 "sourceDescription": "string"
200 },
201 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
202 "type": "CORRELATION_TYPE_INVALID"
203 }
204 },
205 "membership": {
206 "correlationSetId": "string",
207 "primary": {},
208 "nonPrimary": {},
209 "metadata": {
210 "provenance": {
211 "integrationName": "string",
212 "dataType": "string",
213 "sourceId": "string",
214 "sourceUpdateTime": "2024-01-15T09:30:00Z",
215 "sourceDescription": "string"
216 },
217 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
218 "type": "CORRELATION_TYPE_INVALID"
219 }
220 },
221 "decorrelation": {
222 "all": {
223 "metadata": {
224 "provenance": {
225 "integrationName": "string",
226 "dataType": "string",
227 "sourceId": "string",
228 "sourceUpdateTime": "2024-01-15T09:30:00Z",
229 "sourceDescription": "string"
230 },
231 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
232 "type": "CORRELATION_TYPE_INVALID"
233 }
234 },
235 "decorrelatedEntities": [
236 {
237 "entityId": "string",
238 "metadata": {
239 "provenance": {
240 "integrationName": "string",
241 "dataType": "string",
242 "sourceId": "string",
243 "sourceUpdateTime": "2024-01-15T09:30:00Z",
244 "sourceDescription": "string"
245 },
246 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
247 "type": "CORRELATION_TYPE_INVALID"
248 }
249 }
250 ]
251 }
252 },
253 "milView": {
254 "disposition": "DISPOSITION_UNKNOWN",
255 "environment": "ENVIRONMENT_UNKNOWN",
256 "nationality": "NATIONALITY_INVALID"
257 },
258 "ontology": {
259 "platformType": "string",
260 "specificType": "string",
261 "template": "TEMPLATE_INVALID"
262 },
263 "sensors": {
264 "sensors": [
265 {
266 "sensorId": "string",
267 "operationalState": "OPERATIONAL_STATE_INVALID",
268 "sensorType": "SENSOR_TYPE_INVALID",
269 "sensorDescription": "string",
270 "rfConfiguraton": {
271 "frequencyRangeHz": [
272 {
273 "minimumFrequencyHz": {
274 "frequencyHz": {
275 "value": 1.1,
276 "sigma": 1.1
277 }
278 },
279 "maximumFrequencyHz": {
280 "frequencyHz": {
281 "value": 1.1,
282 "sigma": 1.1
283 }
284 }
285 }
286 ],
287 "bandwidthRangeHz": [
288 {
289 "minimumBandwidth": {
290 "bandwidthHz": 1.1
291 },
292 "maximumBandwidth": {
293 "bandwidthHz": 1.1
294 }
295 }
296 ]
297 },
298 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
299 "fieldsOfView": [
300 {
301 "fovId": 1,
302 "mountId": "string",
303 "projectedFrustum": {
304 "upperLeft": {
305 "latitudeDegrees": 1.1,
306 "longitudeDegrees": 1.1,
307 "altitudeHaeMeters": 1.1,
308 "altitudeAglMeters": 1.1,
309 "altitudeAsfMeters": 1.1,
310 "pressureDepthMeters": 1.1
311 },
312 "upperRight": {
313 "latitudeDegrees": 1.1,
314 "longitudeDegrees": 1.1,
315 "altitudeHaeMeters": 1.1,
316 "altitudeAglMeters": 1.1,
317 "altitudeAsfMeters": 1.1,
318 "pressureDepthMeters": 1.1
319 },
320 "bottomRight": {
321 "latitudeDegrees": 1.1,
322 "longitudeDegrees": 1.1,
323 "altitudeHaeMeters": 1.1,
324 "altitudeAglMeters": 1.1,
325 "altitudeAsfMeters": 1.1,
326 "pressureDepthMeters": 1.1
327 },
328 "bottomLeft": {
329 "latitudeDegrees": 1.1,
330 "longitudeDegrees": 1.1,
331 "altitudeHaeMeters": 1.1,
332 "altitudeAglMeters": 1.1,
333 "altitudeAsfMeters": 1.1,
334 "pressureDepthMeters": 1.1
335 }
336 },
337 "projectedCenterRay": {
338 "latitudeDegrees": 1.1,
339 "longitudeDegrees": 1.1,
340 "altitudeHaeMeters": 1.1,
341 "altitudeAglMeters": 1.1,
342 "altitudeAsfMeters": 1.1,
343 "pressureDepthMeters": 1.1
344 },
345 "centerRayPose": {
346 "pos": {
347 "latitudeDegrees": 1.1,
348 "longitudeDegrees": 1.1,
349 "altitudeHaeMeters": 1.1,
350 "altitudeAglMeters": 1.1,
351 "altitudeAsfMeters": 1.1,
352 "pressureDepthMeters": 1.1
353 },
354 "orientation": {
355 "x": 1.1,
356 "y": 1.1,
357 "z": 1.1,
358 "w": 1.1
359 }
360 },
361 "horizontalFov": 1.1,
362 "verticalFov": 1.1,
363 "range": 1.1,
364 "mode": "SENSOR_MODE_INVALID"
365 }
366 ]
367 }
368 ]
369 },
370 "payloads": {
371 "payloadConfigurations": [
372 {
373 "config": {
374 "capabilityId": "string",
375 "quantity": 1,
376 "effectiveEnvironment": [
377 "ENVIRONMENT_UNKNOWN"
378 ],
379 "payloadOperationalState": "PAYLOAD_OPERATIONAL_STATE_INVALID",
380 "payloadDescription": "string"
381 }
382 }
383 ]
384 },
385 "powerState": {
386 "sourceIdToState": {}
387 },
388 "provenance": {
389 "integrationName": "string",
390 "dataType": "string",
391 "sourceId": "string",
392 "sourceUpdateTime": "2024-01-15T09:30:00Z",
393 "sourceDescription": "string"
394 },
395 "overrides": {
396 "override": [
397 {
398 "requestId": "string",
399 "fieldPath": "string",
400 "maskedFieldValue": {
401 "entityId": "string",
402 "description": "string",
403 "isLive": true,
404 "createdTime": "2024-01-15T09:30:00Z",
405 "expiryTime": "2024-01-15T09:30:00Z",
406 "noExpiry": true,
407 "status": {
408 "platformActivity": "string",
409 "role": "string"
410 },
411 "location": {
412 "position": {
413 "latitudeDegrees": 1.1,
414 "longitudeDegrees": 1.1,
415 "altitudeHaeMeters": 1.1,
416 "altitudeAglMeters": 1.1,
417 "altitudeAsfMeters": 1.1,
418 "pressureDepthMeters": 1.1
419 },
420 "velocityEnu": {
421 "e": 1.1,
422 "n": 1.1,
423 "u": 1.1
424 },
425 "speedMps": 1.1,
426 "acceleration": {
427 "e": 1.1,
428 "n": 1.1,
429 "u": 1.1
430 },
431 "attitudeEnu": {
432 "x": 1.1,
433 "y": 1.1,
434 "z": 1.1,
435 "w": 1.1
436 }
437 },
438 "locationUncertainty": {
439 "positionEnuCov": {
440 "mxx": 1.1,
441 "mxy": 1.1,
442 "mxz": 1.1,
443 "myy": 1.1,
444 "myz": 1.1,
445 "mzz": 1.1
446 },
447 "velocityEnuCov": {
448 "mxx": 1.1,
449 "mxy": 1.1,
450 "mxz": 1.1,
451 "myy": 1.1,
452 "myz": 1.1,
453 "mzz": 1.1
454 },
455 "positionErrorEllipse": {
456 "probability": 1.1,
457 "semiMajorAxisM": 1.1,
458 "semiMinorAxisM": 1.1,
459 "orientationD": 1.1
460 }
461 },
462 "geoShape": {
463 "point": {
464 "position": {
465 "latitudeDegrees": 1.1,
466 "longitudeDegrees": 1.1,
467 "altitudeHaeMeters": 1.1,
468 "altitudeAglMeters": 1.1,
469 "altitudeAsfMeters": 1.1,
470 "pressureDepthMeters": 1.1
471 }
472 },
473 "line": {
474 "positions": [
475 {
476 "latitudeDegrees": 1.1,
477 "longitudeDegrees": 1.1,
478 "altitudeHaeMeters": 1.1,
479 "altitudeAglMeters": 1.1,
480 "altitudeAsfMeters": 1.1,
481 "pressureDepthMeters": 1.1
482 }
483 ]
484 },
485 "polygon": {
486 "rings": [
487 {
488 "positions": [
489 {
490 "position": {
491 "latitudeDegrees": 1.1,
492 "longitudeDegrees": 1.1,
493 "altitudeHaeMeters": 1.1,
494 "altitudeAglMeters": 1.1,
495 "altitudeAsfMeters": 1.1,
496 "pressureDepthMeters": 1.1
497 },
498 "heightM": 1.1
499 }
500 ]
501 }
502 ],
503 "isRectangle": true
504 },
505 "ellipse": {
506 "semiMajorAxisM": 1.1,
507 "semiMinorAxisM": 1.1,
508 "orientationD": 1.1,
509 "heightM": 1.1
510 },
511 "ellipsoid": {
512 "forwardAxisM": 1.1,
513 "sideAxisM": 1.1,
514 "upAxisM": 1.1
515 }
516 },
517 "geoDetails": {
518 "type": "GEO_TYPE_INVALID",
519 "controlArea": {
520 "type": "CONTROL_AREA_TYPE_INVALID"
521 },
522 "acm": {
523 "acmType": "ACM_DETAIL_TYPE_INVALID",
524 "acmDescription": "string"
525 }
526 },
527 "aliases": {
528 "alternateIds": [
529 {
530 "id": "string",
531 "type": "ALT_ID_TYPE_INVALID"
532 }
533 ],
534 "name": "string"
535 },
536 "tracked": {
537 "trackQualityWrapper": 1,
538 "sensorHits": 1,
539 "numberOfObjects": {
540 "lowerBound": 1,
541 "upperBound": 1
542 },
543 "radarCrossSection": 1.1,
544 "lastMeasurementTime": "2024-01-15T09:30:00Z",
545 "lineOfBearing": {
546 "angleOfArrival": {
547 "relativePose": {
548 "pos": {
549 "lon": 1.1,
550 "lat": 1.1,
551 "alt": 1.1,
552 "is2d": true,
553 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
554 },
555 "attEnu": {
556 "x": 1.1,
557 "y": 1.1,
558 "z": 1.1,
559 "w": 1.1
560 }
561 },
562 "bearingElevationCovarianceRad2": {
563 "mxx": 1.1,
564 "mxy": 1.1,
565 "myy": 1.1
566 }
567 },
568 "rangeEstimateM": {
569 "value": 1.1,
570 "sigma": 1.1
571 },
572 "maxRangeM": {
573 "value": 1.1,
574 "sigma": 1.1
575 }
576 }
577 },
578 "correlation": {
579 "primary": {
580 "secondaryEntityIds": [
581 "string"
582 ]
583 },
584 "secondary": {
585 "primaryEntityId": "string",
586 "metadata": {
587 "provenance": {
588 "integrationName": "string",
589 "dataType": "string",
590 "sourceId": "string",
591 "sourceUpdateTime": "2024-01-15T09:30:00Z",
592 "sourceDescription": "string"
593 },
594 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
595 "type": "CORRELATION_TYPE_INVALID"
596 }
597 },
598 "membership": {
599 "correlationSetId": "string",
600 "primary": {},
601 "nonPrimary": {},
602 "metadata": {
603 "provenance": {
604 "integrationName": "string",
605 "dataType": "string",
606 "sourceId": "string",
607 "sourceUpdateTime": "2024-01-15T09:30:00Z",
608 "sourceDescription": "string"
609 },
610 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
611 "type": "CORRELATION_TYPE_INVALID"
612 }
613 },
614 "decorrelation": {
615 "all": {
616 "metadata": {
617 "provenance": {
618 "integrationName": "string",
619 "dataType": "string",
620 "sourceId": "string",
621 "sourceUpdateTime": "2024-01-15T09:30:00Z",
622 "sourceDescription": "string"
623 },
624 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
625 "type": "CORRELATION_TYPE_INVALID"
626 }
627 },
628 "decorrelatedEntities": [
629 {
630 "entityId": "string",
631 "metadata": {
632 "provenance": {
633 "integrationName": "string",
634 "dataType": "string",
635 "sourceId": "string",
636 "sourceUpdateTime": "2024-01-15T09:30:00Z",
637 "sourceDescription": "string"
638 },
639 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
640 "type": "CORRELATION_TYPE_INVALID"
641 }
642 }
643 ]
644 }
645 },
646 "milView": {
647 "disposition": "DISPOSITION_UNKNOWN",
648 "environment": "ENVIRONMENT_UNKNOWN",
649 "nationality": "NATIONALITY_INVALID"
650 },
651 "ontology": {
652 "platformType": "string",
653 "specificType": "string",
654 "template": "TEMPLATE_INVALID"
655 },
656 "sensors": {
657 "sensors": [
658 {
659 "sensorId": "string",
660 "operationalState": "OPERATIONAL_STATE_INVALID",
661 "sensorType": "SENSOR_TYPE_INVALID",
662 "sensorDescription": "string",
663 "rfConfiguraton": {
664 "frequencyRangeHz": [
665 {
666 "minimumFrequencyHz": {
667 "frequencyHz": {
668 "value": 1.1,
669 "sigma": 1.1
670 }
671 },
672 "maximumFrequencyHz": {
673 "frequencyHz": {
674 "value": 1.1,
675 "sigma": 1.1
676 }
677 }
678 }
679 ],
680 "bandwidthRangeHz": [
681 {
682 "minimumBandwidth": {
683 "bandwidthHz": 1.1
684 },
685 "maximumBandwidth": {
686 "bandwidthHz": 1.1
687 }
688 }
689 ]
690 },
691 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
692 "fieldsOfView": [
693 {
694 "fovId": 1,
695 "mountId": "string",
696 "projectedFrustum": {
697 "upperLeft": {
698 "latitudeDegrees": 1.1,
699 "longitudeDegrees": 1.1,
700 "altitudeHaeMeters": 1.1,
701 "altitudeAglMeters": 1.1,
702 "altitudeAsfMeters": 1.1,
703 "pressureDepthMeters": 1.1
704 },
705 "upperRight": {
706 "latitudeDegrees": 1.1,
707 "longitudeDegrees": 1.1,
708 "altitudeHaeMeters": 1.1,
709 "altitudeAglMeters": 1.1,
710 "altitudeAsfMeters": 1.1,
711 "pressureDepthMeters": 1.1
712 },
713 "bottomRight": {
714 "latitudeDegrees": 1.1,
715 "longitudeDegrees": 1.1,
716 "altitudeHaeMeters": 1.1,
717 "altitudeAglMeters": 1.1,
718 "altitudeAsfMeters": 1.1,
719 "pressureDepthMeters": 1.1
720 },
721 "bottomLeft": {
722 "latitudeDegrees": 1.1,
723 "longitudeDegrees": 1.1,
724 "altitudeHaeMeters": 1.1,
725 "altitudeAglMeters": 1.1,
726 "altitudeAsfMeters": 1.1,
727 "pressureDepthMeters": 1.1
728 }
729 },
730 "projectedCenterRay": {
731 "latitudeDegrees": 1.1,
732 "longitudeDegrees": 1.1,
733 "altitudeHaeMeters": 1.1,
734 "altitudeAglMeters": 1.1,
735 "altitudeAsfMeters": 1.1,
736 "pressureDepthMeters": 1.1
737 },
738 "centerRayPose": {
739 "pos": {
740 "latitudeDegrees": 1.1,
741 "longitudeDegrees": 1.1,
742 "altitudeHaeMeters": 1.1,
743 "altitudeAglMeters": 1.1,
744 "altitudeAsfMeters": 1.1,
745 "pressureDepthMeters": 1.1
746 },
747 "orientation": {
748 "x": 1.1,
749 "y": 1.1,
750 "z": 1.1,
751 "w": 1.1
752 }
753 },
754 "horizontalFov": 1.1,
755 "verticalFov": 1.1,
756 "range": 1.1,
757 "mode": "SENSOR_MODE_INVALID"
758 }
759 ]
760 }
761 ]
762 },
763 "payloads": {
764 "payloadConfigurations": [
765 {
766 "config": {
767 "capabilityId": "string",
768 "quantity": 1,
769 "effectiveEnvironment": [
770 "ENVIRONMENT_UNKNOWN"
771 ],
772 "payloadOperationalState": "PAYLOAD_OPERATIONAL_STATE_INVALID",
773 "payloadDescription": "string"
774 }
775 }
776 ]
777 },
778 "powerState": {
779 "sourceIdToState": {}
780 },
781 "provenance": {
782 "integrationName": "string",
783 "dataType": "string",
784 "sourceId": "string",
785 "sourceUpdateTime": "2024-01-15T09:30:00Z",
786 "sourceDescription": "string"
787 },
788 "overrides": {
789 "override": [
790 null
791 ]
792 },
793 "indicators": {
794 "simulated": true,
795 "exercise": true,
796 "emergency": true,
797 "c2": true,
798 "egressable": true,
799 "starred": true
800 },
801 "targetPriority": {
802 "highValueTarget": {
803 "isHighValueTarget": true,
804 "targetPriority": 1,
805 "targetMatches": [
806 {
807 "highValueTargetListId": "string",
808 "highValueTargetDescriptionId": "string"
809 }
810 ],
811 "isHighPayoffTarget": true
812 },
813 "threat": {
814 "isThreat": true
815 }
816 },
817 "signal": {
818 "frequencyCenter": {
819 "frequencyHz": {
820 "value": 1.1,
821 "sigma": 1.1
822 }
823 },
824 "frequencyRange": {
825 "minimumFrequencyHz": {
826 "frequencyHz": {
827 "value": 1.1,
828 "sigma": 1.1
829 }
830 },
831 "maximumFrequencyHz": {
832 "frequencyHz": {
833 "value": 1.1,
834 "sigma": 1.1
835 }
836 }
837 },
838 "bandwidthHz": 1.1,
839 "signalToNoiseRatio": 1.1,
840 "lineOfBearing": {
841 "angleOfArrival": {
842 "relativePose": {
843 "pos": {
844 "lon": 1.1,
845 "lat": 1.1,
846 "alt": 1.1,
847 "is2d": true,
848 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
849 },
850 "attEnu": {
851 "x": 1.1,
852 "y": 1.1,
853 "z": 1.1,
854 "w": 1.1
855 }
856 },
857 "bearingElevationCovarianceRad2": {
858 "mxx": 1.1,
859 "mxy": 1.1,
860 "myy": 1.1
861 }
862 },
863 "rangeEstimateM": {
864 "value": 1.1,
865 "sigma": 1.1
866 },
867 "maxRangeM": {
868 "value": 1.1,
869 "sigma": 1.1
870 }
871 },
872 "fixed": {},
873 "emitterNotations": [
874 {
875 "emitterNotation": "string",
876 "confidence": 1.1
877 }
878 ],
879 "pulseWidthS": 1.1,
880 "pulseRepetitionInterval": {
881 "pulseRepetitionIntervalS": {
882 "value": 1.1,
883 "sigma": 1.1
884 }
885 },
886 "scanCharacteristics": {
887 "scanType": "SCAN_TYPE_INVALID",
888 "scanPeriodS": 1.1
889 }
890 },
891 "transponderCodes": {
892 "mode1": 1,
893 "mode2": 1,
894 "mode3": 1,
895 "mode4InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
896 "mode5": {
897 "mode5InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
898 "mode5": 1,
899 "mode5PlatformId": 1
900 },
901 "modeS": {
902 "id": "string",
903 "address": 1
904 },
905 "modeCAltitudeFt": 1
906 },
907 "dataClassification": {
908 "default": {
909 "level": "CLASSIFICATION_LEVELS_INVALID",
910 "caveats": [
911 "string"
912 ]
913 },
914 "fields": [
915 {
916 "fieldPath": "string",
917 "classificationInformation": {
918 "level": "CLASSIFICATION_LEVELS_INVALID",
919 "caveats": [
920 "string"
921 ]
922 }
923 }
924 ]
925 },
926 "taskCatalog": {
927 "taskDefinitions": [
928 {
929 "taskSpecificationUrl": "string"
930 }
931 ]
932 },
933 "media": {
934 "media": [
935 {
936 "itemIdentifier": "string",
937 "type": "MEDIA_TYPE_INVALID",
938 "relativePath": "string"
939 }
940 ]
941 },
942 "relationships": {
943 "relationships": [
944 {
945 "relatedEntityId": "string",
946 "relationshipId": "string",
947 "relationshipType": {
948 "trackedBy": {
949 "activelyTrackingSensors": {
950 "sensors": [
951 {
952 "sensorId": "string",
953 "operationalState": "OPERATIONAL_STATE_INVALID",
954 "sensorType": "SENSOR_TYPE_INVALID",
955 "sensorDescription": "string",
956 "rfConfiguraton": {
957 "frequencyRangeHz": {},
958 "bandwidthRangeHz": {}
959 },
960 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
961 "fieldsOfView": [
962 {
963 "fovId": {},
964 "mountId": {},
965 "projectedFrustum": {},
966 "projectedCenterRay": {},
967 "centerRayPose": {},
968 "horizontalFov": {},
969 "verticalFov": {},
970 "range": {},
971 "mode": {}
972 }
973 ]
974 }
975 ]
976 },
977 "lastMeasurementTimestamp": "2024-01-15T09:30:00Z"
978 },
979 "groupChild": {},
980 "groupParent": {},
981 "mergedFrom": {},
982 "activeTarget": {}
983 }
984 }
985 ]
986 },
987 "visualDetails": {
988 "rangeRings": {
989 "minDistanceM": 1.1,
990 "maxDistanceM": 1.1,
991 "ringCount": 1,
992 "ringLineColor": {
993 "red": 1.1,
994 "green": 1.1,
995 "blue": 1.1,
996 "alpha": 1.1
997 }
998 }
999 },
1000 "dimensions": {
1001 "lengthM": 1.1
1002 },
1003 "routeDetails": {
1004 "destinationName": "string",
1005 "estimatedArrivalTime": "2024-01-15T09:30:00Z"
1006 },
1007 "schedules": {
1008 "schedules": [
1009 {
1010 "windows": [
1011 {
1012 "cronExpression": "string",
1013 "durationMillis": "string"
1014 }
1015 ],
1016 "scheduleId": "string",
1017 "scheduleType": "SCHEDULE_TYPE_INVALID"
1018 }
1019 ]
1020 },
1021 "health": {
1022 "connectionStatus": "CONNECTION_STATUS_INVALID",
1023 "healthStatus": "HEALTH_STATUS_INVALID",
1024 "components": [
1025 {
1026 "id": "string",
1027 "name": "string",
1028 "health": "HEALTH_STATUS_INVALID",
1029 "messages": [
1030 {
1031 "status": "HEALTH_STATUS_INVALID",
1032 "message": "string"
1033 }
1034 ],
1035 "updateTime": "2024-01-15T09:30:00Z"
1036 }
1037 ],
1038 "updateTime": "2024-01-15T09:30:00Z",
1039 "activeAlerts": [
1040 {
1041 "alertCode": "string",
1042 "description": "string",
1043 "level": "ALERT_LEVEL_INVALID",
1044 "activatedTime": "2024-01-15T09:30:00Z",
1045 "activeConditions": [
1046 {
1047 "conditionCode": "string",
1048 "description": "string"
1049 }
1050 ]
1051 }
1052 ]
1053 },
1054 "groupDetails": {
1055 "team": {},
1056 "echelon": {
1057 "armyEchelon": "ARMY_ECHELON_INVALID"
1058 }
1059 },
1060 "supplies": {
1061 "munitions": [
1062 {
1063 "munitionId": "string",
1064 "name": "string",
1065 "quantityUnits": 1
1066 }
1067 ],
1068 "fuel": [
1069 {
1070 "fuelId": "string",
1071 "name": "string",
1072 "reportedDate": "2024-01-15T09:30:00Z",
1073 "amountGallons": 1,
1074 "maxAuthorizedCapacityGallons": 1,
1075 "operationalRequirementGallons": 1,
1076 "dataClassification": {
1077 "default": {
1078 "level": "CLASSIFICATION_LEVELS_INVALID",
1079 "caveats": [
1080 "string"
1081 ]
1082 },
1083 "fields": [
1084 {
1085 "fieldPath": "string",
1086 "classificationInformation": {
1087 "level": "CLASSIFICATION_LEVELS_INVALID",
1088 "caveats": [
1089 "string"
1090 ]
1091 }
1092 }
1093 ]
1094 },
1095 "dataSource": "string"
1096 }
1097 ]
1098 },
1099 "orbit": {
1100 "orbitMeanElements": {
1101 "metadata": {
1102 "creationDate": "2024-01-15T09:30:00Z",
1103 "originator": "string",
1104 "messageId": "string",
1105 "refFrame": "ECI_REFERENCE_FRAME_INVALID",
1106 "refFrameEpoch": "2024-01-15T09:30:00Z",
1107 "meanElementTheory": "MEAN_ELEMENT_THEORY_INVALID"
1108 },
1109 "meanKeplerianElements": {
1110 "epoch": "2024-01-15T09:30:00Z",
1111 "semiMajorAxisKm": 1.1,
1112 "meanMotion": 1.1,
1113 "eccentricity": 1.1,
1114 "inclinationDeg": 1.1,
1115 "raOfAscNodeDeg": 1.1,
1116 "argOfPericenterDeg": 1.1,
1117 "meanAnomalyDeg": 1.1,
1118 "gm": 1.1
1119 },
1120 "tleParameters": {
1121 "ephemerisType": 1,
1122 "classificationType": "string",
1123 "noradCatId": 1,
1124 "elementSetNo": 1,
1125 "revAtEpoch": 1,
1126 "bstar": 1.1,
1127 "bterm": 1.1,
1128 "meanMotionDot": 1.1,
1129 "meanMotionDdot": 1.1,
1130 "agom": 1.1
1131 }
1132 }
1133 },
1134 "symbology": {
1135 "milStd2525C": {
1136 "sidc": "string"
1137 }
1138 }
1139 },
1140 "status": "OVERRIDE_STATUS_INVALID",
1141 "provenance": {
1142 "integrationName": "string",
1143 "dataType": "string",
1144 "sourceId": "string",
1145 "sourceUpdateTime": "2024-01-15T09:30:00Z",
1146 "sourceDescription": "string"
1147 },
1148 "type": "OVERRIDE_TYPE_INVALID",
1149 "requestTimestamp": "2024-01-15T09:30:00Z"
1150 }
1151 ]
1152 },
1153 "indicators": {
1154 "simulated": true,
1155 "exercise": true,
1156 "emergency": true,
1157 "c2": true,
1158 "egressable": true,
1159 "starred": true
1160 },
1161 "targetPriority": {
1162 "highValueTarget": {
1163 "isHighValueTarget": true,
1164 "targetPriority": 1,
1165 "targetMatches": [
1166 {
1167 "highValueTargetListId": "string",
1168 "highValueTargetDescriptionId": "string"
1169 }
1170 ],
1171 "isHighPayoffTarget": true
1172 },
1173 "threat": {
1174 "isThreat": true
1175 }
1176 },
1177 "signal": {
1178 "frequencyCenter": {
1179 "frequencyHz": {
1180 "value": 1.1,
1181 "sigma": 1.1
1182 }
1183 },
1184 "frequencyRange": {
1185 "minimumFrequencyHz": {
1186 "frequencyHz": {
1187 "value": 1.1,
1188 "sigma": 1.1
1189 }
1190 },
1191 "maximumFrequencyHz": {
1192 "frequencyHz": {
1193 "value": 1.1,
1194 "sigma": 1.1
1195 }
1196 }
1197 },
1198 "bandwidthHz": 1.1,
1199 "signalToNoiseRatio": 1.1,
1200 "lineOfBearing": {
1201 "angleOfArrival": {
1202 "relativePose": {
1203 "pos": {
1204 "lon": 1.1,
1205 "lat": 1.1,
1206 "alt": 1.1,
1207 "is2d": true,
1208 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
1209 },
1210 "attEnu": {
1211 "x": 1.1,
1212 "y": 1.1,
1213 "z": 1.1,
1214 "w": 1.1
1215 }
1216 },
1217 "bearingElevationCovarianceRad2": {
1218 "mxx": 1.1,
1219 "mxy": 1.1,
1220 "myy": 1.1
1221 }
1222 },
1223 "rangeEstimateM": {
1224 "value": 1.1,
1225 "sigma": 1.1
1226 },
1227 "maxRangeM": {
1228 "value": 1.1,
1229 "sigma": 1.1
1230 }
1231 },
1232 "fixed": {},
1233 "emitterNotations": [
1234 {
1235 "emitterNotation": "string",
1236 "confidence": 1.1
1237 }
1238 ],
1239 "pulseWidthS": 1.1,
1240 "pulseRepetitionInterval": {
1241 "pulseRepetitionIntervalS": {
1242 "value": 1.1,
1243 "sigma": 1.1
1244 }
1245 },
1246 "scanCharacteristics": {
1247 "scanType": "SCAN_TYPE_INVALID",
1248 "scanPeriodS": 1.1
1249 }
1250 },
1251 "transponderCodes": {
1252 "mode1": 1,
1253 "mode2": 1,
1254 "mode3": 1,
1255 "mode4InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
1256 "mode5": {
1257 "mode5InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
1258 "mode5": 1,
1259 "mode5PlatformId": 1
1260 },
1261 "modeS": {
1262 "id": "string",
1263 "address": 1
1264 },
1265 "modeCAltitudeFt": 1
1266 },
1267 "dataClassification": {
1268 "default": {
1269 "level": "CLASSIFICATION_LEVELS_INVALID",
1270 "caveats": [
1271 "string"
1272 ]
1273 },
1274 "fields": [
1275 {
1276 "fieldPath": "string",
1277 "classificationInformation": {
1278 "level": "CLASSIFICATION_LEVELS_INVALID",
1279 "caveats": [
1280 "string"
1281 ]
1282 }
1283 }
1284 ]
1285 },
1286 "taskCatalog": {
1287 "taskDefinitions": [
1288 {
1289 "taskSpecificationUrl": "string"
1290 }
1291 ]
1292 },
1293 "media": {
1294 "media": [
1295 {
1296 "itemIdentifier": "string",
1297 "type": "MEDIA_TYPE_INVALID",
1298 "relativePath": "string"
1299 }
1300 ]
1301 },
1302 "relationships": {
1303 "relationships": [
1304 {
1305 "relatedEntityId": "string",
1306 "relationshipId": "string",
1307 "relationshipType": {
1308 "trackedBy": {
1309 "activelyTrackingSensors": {
1310 "sensors": [
1311 {
1312 "sensorId": "string",
1313 "operationalState": "OPERATIONAL_STATE_INVALID",
1314 "sensorType": "SENSOR_TYPE_INVALID",
1315 "sensorDescription": "string",
1316 "rfConfiguraton": {
1317 "frequencyRangeHz": [
1318 {
1319 "minimumFrequencyHz": {
1320 "frequencyHz": {
1321 "value": {},
1322 "sigma": {}
1323 }
1324 },
1325 "maximumFrequencyHz": {
1326 "frequencyHz": {
1327 "value": {},
1328 "sigma": {}
1329 }
1330 }
1331 }
1332 ],
1333 "bandwidthRangeHz": [
1334 {
1335 "minimumBandwidth": {
1336 "bandwidthHz": 1.1
1337 },
1338 "maximumBandwidth": {
1339 "bandwidthHz": 1.1
1340 }
1341 }
1342 ]
1343 },
1344 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
1345 "fieldsOfView": [
1346 {
1347 "fovId": 1,
1348 "mountId": "string",
1349 "projectedFrustum": {
1350 "upperLeft": {
1351 "latitudeDegrees": 1.1,
1352 "longitudeDegrees": 1.1,
1353 "altitudeHaeMeters": 1.1,
1354 "altitudeAglMeters": 1.1,
1355 "altitudeAsfMeters": 1.1,
1356 "pressureDepthMeters": 1.1
1357 },
1358 "upperRight": {
1359 "latitudeDegrees": 1.1,
1360 "longitudeDegrees": 1.1,
1361 "altitudeHaeMeters": 1.1,
1362 "altitudeAglMeters": 1.1,
1363 "altitudeAsfMeters": 1.1,
1364 "pressureDepthMeters": 1.1
1365 },
1366 "bottomRight": {
1367 "latitudeDegrees": 1.1,
1368 "longitudeDegrees": 1.1,
1369 "altitudeHaeMeters": 1.1,
1370 "altitudeAglMeters": 1.1,
1371 "altitudeAsfMeters": 1.1,
1372 "pressureDepthMeters": 1.1
1373 },
1374 "bottomLeft": {
1375 "latitudeDegrees": 1.1,
1376 "longitudeDegrees": 1.1,
1377 "altitudeHaeMeters": 1.1,
1378 "altitudeAglMeters": 1.1,
1379 "altitudeAsfMeters": 1.1,
1380 "pressureDepthMeters": 1.1
1381 }
1382 },
1383 "projectedCenterRay": {
1384 "latitudeDegrees": 1.1,
1385 "longitudeDegrees": 1.1,
1386 "altitudeHaeMeters": 1.1,
1387 "altitudeAglMeters": 1.1,
1388 "altitudeAsfMeters": 1.1,
1389 "pressureDepthMeters": 1.1
1390 },
1391 "centerRayPose": {
1392 "pos": {
1393 "latitudeDegrees": 1.1,
1394 "longitudeDegrees": 1.1,
1395 "altitudeHaeMeters": 1.1,
1396 "altitudeAglMeters": 1.1,
1397 "altitudeAsfMeters": 1.1,
1398 "pressureDepthMeters": 1.1
1399 },
1400 "orientation": {
1401 "x": 1.1,
1402 "y": 1.1,
1403 "z": 1.1,
1404 "w": 1.1
1405 }
1406 },
1407 "horizontalFov": 1.1,
1408 "verticalFov": 1.1,
1409 "range": 1.1,
1410 "mode": "SENSOR_MODE_INVALID"
1411 }
1412 ]
1413 }
1414 ]
1415 },
1416 "lastMeasurementTimestamp": "2024-01-15T09:30:00Z"
1417 },
1418 "groupChild": {},
1419 "groupParent": {},
1420 "mergedFrom": {},
1421 "activeTarget": {}
1422 }
1423 }
1424 ]
1425 },
1426 "visualDetails": {
1427 "rangeRings": {
1428 "minDistanceM": 1.1,
1429 "maxDistanceM": 1.1,
1430 "ringCount": 1,
1431 "ringLineColor": {
1432 "red": 1.1,
1433 "green": 1.1,
1434 "blue": 1.1,
1435 "alpha": 1.1
1436 }
1437 }
1438 },
1439 "dimensions": {
1440 "lengthM": 1.1
1441 },
1442 "routeDetails": {
1443 "destinationName": "string",
1444 "estimatedArrivalTime": "2024-01-15T09:30:00Z"
1445 },
1446 "schedules": {
1447 "schedules": [
1448 {
1449 "windows": [
1450 {
1451 "cronExpression": "string",
1452 "durationMillis": "string"
1453 }
1454 ],
1455 "scheduleId": "string",
1456 "scheduleType": "SCHEDULE_TYPE_INVALID"
1457 }
1458 ]
1459 },
1460 "health": {
1461 "connectionStatus": "CONNECTION_STATUS_INVALID",
1462 "healthStatus": "HEALTH_STATUS_INVALID",
1463 "components": [
1464 {
1465 "id": "string",
1466 "name": "string",
1467 "health": "HEALTH_STATUS_INVALID",
1468 "messages": [
1469 {
1470 "status": "HEALTH_STATUS_INVALID",
1471 "message": "string"
1472 }
1473 ],
1474 "updateTime": "2024-01-15T09:30:00Z"
1475 }
1476 ],
1477 "updateTime": "2024-01-15T09:30:00Z",
1478 "activeAlerts": [
1479 {
1480 "alertCode": "string",
1481 "description": "string",
1482 "level": "ALERT_LEVEL_INVALID",
1483 "activatedTime": "2024-01-15T09:30:00Z",
1484 "activeConditions": [
1485 {
1486 "conditionCode": "string",
1487 "description": "string"
1488 }
1489 ]
1490 }
1491 ]
1492 },
1493 "groupDetails": {
1494 "team": {},
1495 "echelon": {
1496 "armyEchelon": "ARMY_ECHELON_INVALID"
1497 }
1498 },
1499 "supplies": {
1500 "munitions": [
1501 {
1502 "munitionId": "string",
1503 "name": "string",
1504 "quantityUnits": 1
1505 }
1506 ],
1507 "fuel": [
1508 {
1509 "fuelId": "string",
1510 "name": "string",
1511 "reportedDate": "2024-01-15T09:30:00Z",
1512 "amountGallons": 1,
1513 "maxAuthorizedCapacityGallons": 1,
1514 "operationalRequirementGallons": 1,
1515 "dataClassification": {
1516 "default": {
1517 "level": "CLASSIFICATION_LEVELS_INVALID",
1518 "caveats": [
1519 "string"
1520 ]
1521 },
1522 "fields": [
1523 {
1524 "fieldPath": "string",
1525 "classificationInformation": {
1526 "level": "CLASSIFICATION_LEVELS_INVALID",
1527 "caveats": [
1528 "string"
1529 ]
1530 }
1531 }
1532 ]
1533 },
1534 "dataSource": "string"
1535 }
1536 ]
1537 },
1538 "orbit": {
1539 "orbitMeanElements": {
1540 "metadata": {
1541 "creationDate": "2024-01-15T09:30:00Z",
1542 "originator": "string",
1543 "messageId": "string",
1544 "refFrame": "ECI_REFERENCE_FRAME_INVALID",
1545 "refFrameEpoch": "2024-01-15T09:30:00Z",
1546 "meanElementTheory": "MEAN_ELEMENT_THEORY_INVALID"
1547 },
1548 "meanKeplerianElements": {
1549 "epoch": "2024-01-15T09:30:00Z",
1550 "semiMajorAxisKm": 1.1,
1551 "meanMotion": 1.1,
1552 "eccentricity": 1.1,
1553 "inclinationDeg": 1.1,
1554 "raOfAscNodeDeg": 1.1,
1555 "argOfPericenterDeg": 1.1,
1556 "meanAnomalyDeg": 1.1,
1557 "gm": 1.1
1558 },
1559 "tleParameters": {
1560 "ephemerisType": 1,
1561 "classificationType": "string",
1562 "noradCatId": 1,
1563 "elementSetNo": 1,
1564 "revAtEpoch": 1,
1565 "bstar": 1.1,
1566 "bterm": 1.1,
1567 "meanMotionDot": 1.1,
1568 "meanMotionDdot": 1.1,
1569 "agom": 1.1
1570 }
1571 }
1572 },
1573 "symbology": {
1574 "milStd2525C": {
1575 "sidc": "string"
1576 }
1577 }
1578 }
1579 }
1580 ]
1581}
This is a long polling API that will first return all pre-existing data and then return all new data as it becomes available. If you want to start a new polling session then open a request with an empty 'sessionToken' in the request body. The server will return a new session token in the response. If you want to retrieve the next batch of results from an existing polling session then send the session token you received from the server in the request body. If no new data is available then the server will hold the connection open for up to 5 minutes. After the 5 minute timeout period, the server will close the connection with no results and you may resume polling with the same session token. If your session falls behind more than 3x the total number of entities in the environment, the server will terminate your session. In this case you must start a new session by sending a request with an empty session token.
Was this page helpful?
Previous

Stream entity events

Next

This is a long polling API that will first return all pre-existing data and then return all new data as it becomes available. If you want to start a new polling session then open a request with an empty ‘sessionToken’ in the request body. The server will return a new session token in the response. If you want to retrieve the next batch of results from an existing polling session then send the session token you received from the server in the request body. If no new data is available then the server will hold the connection open for up to 5 minutes. After the 5 minute timeout period, the server will close the connection with no results and you may resume polling with the same session token. If your session falls behind more than 3x the total number of entities in the environment, the server will terminate your session. In this case you must start a new session by sending a request with an empty session token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
sessionTokenstringRequired

Long-poll session identifier. Leave empty to start a new polling session.

batchSizeintegerOptional

Maximum size of response batch. Defaults to 100. Must be between 1 and 2000 (inclusive).

Response

Entity event batch retrieval was successful
sessionTokenstring

Long-poll session identifier. Use this token to resume polling on subsequent requests.

entityEventslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
408
Request Timeout Error
429
Too Many Requests Error